%define current_version 7.0.8

Name: vzstat
Version: %{current_version}
Release:        2%{?dist}
License: GPLv2
Group: Applications
Summary: vzstat utility for node monitoring
Source: %{name}-%{version}.tar.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

BuildRequires: libvzctl-devel
BuildRequires: ncurses-devel
BuildRequires: libuuid-devel

Requires: libvzctl
Requires: ncurses-libs
Requires: libuuid

%define _etcdir /etc

%description
This package contains statistic monitoring utility for OpenVZ HW node.

%prep
%setup -q

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_etcdir}

sed -i -f - man/vzstat.8 <<EOF
s/@CMD_NAME@/vzstat/g
s/@CMD_NAME_CAPS@/VZSTAT/
s/@VPS@/Container/g
s/@VPSES_FIRST@/Containers/
s/@PRELOADED_FMT@/id,st,\\\fIformat\\\fP,ip/
s/@IO_FMT@/id,st,ior,iow,iort,iowt,ip/
s/@NET_FMT@/id,st,rx,tx,rxt,txt,rxpt,txpt,ip/
EOF

make install MANDIR="%{_mandir}" DESTDIR="${RPM_BUILD_ROOT}"
install -m644 etc/*.conf ${RPM_BUILD_ROOT}%{_etcdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_sbindir}/vzstat
%config(noreplace) %{_etcdir}/vzstat.conf
%{_mandir}/man8/vzstat.8.gz

%changelog
* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.8-2
- Rebuild in 7.3 environment

* Sat Jun 25 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Remove /proc/fairsched related code (PSBM-48870) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Feb 09 2016 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.7
 - Allow passing additional CFLAGS to build process (Denis Silakov
<dsilakov@gmail.com>)

* Thu Dec 31 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.6
 - Fixed misprint in INSTALLMAN

* Thu Dec 31 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.5
 - Fixed missing INSTALL (Ashley <ashley@victorianfox.com>)

* Wed Dec 30 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.4
 - Create target directories and add LDFLAGS to the linker (Ashley
<ashley@victorianfox.com>)

* Thu Jul 16 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.3
 - obtain swapin/swapout rate using /proc/vmstat (#PSBM-17886)
 - compile with -Wextra -Werror -Wno-missing-field-initializers
 - fix a format string vulnerability in parse_mounts()

* Wed Jul 15 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.2
 - add opensource-related files and disclaimers
 - change license to GPLv2

* Wed Jul 15 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.1
- leave only vzstat utility in the package

* Tue Jul 14 2015 Konstantin Volkov <wolf@odin.com> 7.0.0-2
- Drop vzmodules and vzinitscripts requires
